import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import '../interface/flutter_vosk_wakeword_platform_interface.dart';

/// An implementation of [FlutterVoskWakewordPlatform] that uses method channels.
class MethodChannelFlutterVoskWakeword extends FlutterVoskWakewordPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_vosk_wakeword');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}

